<?php

namespace Goldenscarab\Modulus\Debusca\App\Http\Drivers\Objects;


class QueryResult
{
    private $metas;

    private $result;

    private $resume;

    public function __construct(MetaCollect $metas, $result, $queries)
    {
        $this->metas = $metas;

        if (is_array($result)) {
            $lines = collect();

            foreach ($result as $line) {
                $lines->push(new ResultLine($metas, $line, $queries));
            }
            $this->result = $lines;

        } else {
            $this->result = $result;
        }
    }


    /**
     * Get the value of meta
     */
    public function getMetas()
    {
        return $this->metas;
    }

    /**
     * Set the value of meta
     *
     * @return  self
     */
    public function setMetas(MetaCollect $metas)
    {
        $this->metas = $metas;

        return $this;
    }


    /**
     * Get the value of resume
     */
    public function getResume()
    {
        return $this->resume;
    }

    /**
     * Set the value of resume
     *
     * @return  self
     */
    public function setResume(array $resume)
    {
        $this->resume = $resume;

        return $this;
    }

    /**
     * Get the value of queries
     */
    public function getQueries()
    {
        return $this->queries;
    }

    /**
     * Set the value of queries
     *
     * @return  self
     */
    public function setQueries($queries)
    {
        $this->queries = $queries;

        return $this;
    }

    /**
     * Get the value of result
     */
    public function getResult()
    {
        return $this->result;
    }

    /**
     * Set the value of result
     *
     * @return  self
     */
    public function setResult($result)
    {
        $this->result = $result;

        return $this;
    }
}
