<?php

namespace Goldenscarab\Modulus\Debusca\App\Http\Middleware;

use Closure;
use Exception;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\Session;
use Illuminate\Contracts\Encryption\DecryptException;

class AuthToken
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        $auth_config = json_decode(File::get(debusca_path('config/auth.json')));

        try {
            $token = Crypt::decryptString(Session::get('_eat'));
        } catch (DecryptException $e) {
            $token = $request->get('token');
        }

        if ($token != base64_decode($auth_config->token)) {
            sleep(5);
            return abort(404);
        }

        Session::put('_eat', Crypt::encryptString($token));
        return $next($request);
    }
}
