@extends('debusca::layouts.app.bootstrap')

@section('header')
<form id="form-database" class="form-inline my-3 my-lg-0">

    <div class="form-group">
        {{-- <label for="field-database" class="mr-3">Base de données</label> --}}
        <div class="input-group input-group-sm mb-3">
            <select id="field-database" class="form-control form-control-sm text-danger" name="database">
                @foreach ($databases as $db)
                    <option value="{{ $db['DB_NAME'] }}" data-database="{{ $db['DB_DATABASE'] }}">{{ $db['DB_NAME'] }} ({{ $db['DB_DATABASE'] }})</option>
                @endforeach
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <i class="bi bi-server" title="Bases de données"></i>
                </span>
            </div>
        </div>
    </div>


</form>
@endsection

@section('content')
<div class="row">
    <div class="col-3">
        <div class="explorer-wrap bg-dark">
            <h2 class="h6 text-light mb-0 p-2 pl-3">
                Tables
                <div class="input-group input-group-sm mb-1 mt-2">
                    <input id="field-search" type="text" class="form-control" placeholder="Recherche...">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary bg-light" type="button" id="btn-search"><i class="bi bi-search"></i></button>
                    </div>
                </div>
                <span class="action">
                    <i id="create-table" class="bi bi-plus-square edit-query mr-2" title="Nouvelle table"></i>
                    <i class="bi bi-arrow-clockwise refresh-tables mr-2" title="Actualiser la liste"></i>
                </span>
            </h2>
            <div id="tables" class="text-white is-loading">
                <div class="loading">
                    <div class="mb-2">
                        Chargement...
                    </div>
                    <i class="fa fa-circle-o-notch fa-3x rotate"></i>
                </div>
                <div class="list pl-3 pb-2"></div>
            </div>
        </div>
    </div>
    <div class="col-9">
        <div id="editor" style="height: 550px;">-- Appuyez sur Ctrl+Enter pour exécuter votre requête --</div>
    </div>
</div>
<div class="row mt-3">
    <div class="col">
        <div id="query-result">
            <div class="loading">
                <div class="mb-2">
                    Chargement...
                </div>
                <i class="fa fa-circle-o-notch fa-3x rotate"></i>
            </div>
            <div class="list"></div>
        </div>
    </div>
</div>
@endsection

@push('styles')
    @include('debusca::app.bdd.partials._styles')
@endpush

@push('scripts')
    @include('debusca::app.bdd.partials._scripts')

    <script>
        $(function() {
            var fb = new DebuscaBDD()
        });
    </script>
@endpush
