@extends('debusca::layouts.app.bootstrap')

@section('header')
<form id="form-search" class="form-inline my-3 my-lg-0">
    <div class="input-group mr-2">
        <input id="field-search-files" type="text" class="form-control form-control-sm" placeholder="fichier.txt" name="search-file" title="Recherche de fichiers dans l'arborescence">
        <div class="input-group-append">
            <button id="btn-search-files" class="btn btn-info btn-sm" type="button">
                <i class="fa fa-search"></i>
            </button>
        </div>
    </div>

    <div class="input-group">
        <input id="field-search-contents" type="text" class="form-control form-control-sm" placeholder="contenu" name="search-content" title="Recherche de contenus dans les fichiers de l'arborescence">
        <div class="input-group-append">
            <button id="btn-search-contents" class="btn btn-info btn-sm" type="button">
                <i class="fa fa-search"></i>
            </button>
        </div>
    </div>
</form>
@endsection

@section('content')
<div class="row">
    <div class="col">
        <nav id="breadcrumb" aria-label="breadcrumb"></nav>
    </div>
    <div class="col-auto text-right">
        <button id="btn-terminal" class="btn btn-lg btn-outline-dark" data-toggle="modal" data-target="#modal-terminal" title="Ouvrir un terminal">
            <i class="fa fa-terminal"></i>
        </button>
    </div>

</div>

<div class="modal fade" id="modal-terminal" tabindex="-1" role="dialog">
  <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
      <div class="modal-content">
          <div class="modal-header">
              <h5 class="modal-title">Terminal</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
              <div id="terminal" style="height: 400px;"></div>
          </div>
      </div>
  </div>
</div>

<div class="row">
  <div class="col-3">
      <div class="explorer-wrap bg-dark">
            <h2 class="h6 text-light mb-0 p-2 pl-3">
                Explorateur
                <span class="action">
                    <i class="bi bi-file-earmark-plus create-file mr-2" title="Nouveau fichier"></i>
                    <i class="bi bi-folder-plus create-folder mr-2" title="Nouveau dossier"></i>
                    <i class="bi bi-cloud-upload file-upload mr-2" title="Envoyer un fichier"></i>
                    <i class="bi bi-arrow-clockwise tree-refresh mr-2" title="Actualiser l'explorateur"></i>
                </span>
            </h2>
          <div id="explorer" class="pl-3"></div>
      </div>
  </div>
  <div class="col-9">
      <div id="editor" style="height: 650px;"></div>
      <form id="form-editor" method="post">
          <input id="field-original-filename" type="hidden" name="original-filename">
          <div id="file-action" class="row text-right mt-3">

              <div class="col">
                  <div id="field-rename" class="input-group mb-3">
                        <input id="field-current-filename" type="text" class="form-control" name="current-filename">
                        <div class="input-group-append">
                          <button id="btn-rename-file" class="btn btn-info btn-sm" type="button">
                              <i class="fa fa-pencil-square-o mr-1"></i>Renommer
                          </button>
                          <button id="btn-save-file" type="submit" class="btn btn-success btn-sm">
                              <i class="fa fa-floppy-o mr-1"></i>
                              Enregistrer le fichier
                          </button>
                        </div>
                  </div>
              </div>

          </div>
      </form>
  </div>
</div>
@endsection

@push('styles')
    @include('debusca::app.file.partials._styles')
@endpush

@push('scripts')
    @include('debusca::app.file.partials._scripts')

    <script>
        $(function() {
            var fd = new DesbucaFile('{{ base_path() }}')
        });
    </script>
@endpush
