<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => 'debusca', 'as' => 'debusca.'], function ($router) {

    // File
    Route::group(['prefix' => 'file', 'as' => 'file.'], function() {
        Route::get('/', 'FileController@index')->name('index');
        Route::get('tree', 'FileController@tree')->name('tree');
        Route::get('content', 'FileController@content')->name('content');
        Route::get('download', 'FileController@download')->name('download');
        Route::post('upload', 'FileController@upload')->name('upload');
        Route::post('find', 'FileController@find')->name('find');
        Route::post('grep', 'FileController@grep')->name('grep');
    });

    // Command
    Route::group(['prefix' => 'command', 'as' => 'command.'], function() {
        Route::post('exec', 'CommandController@exec')->name('exec');
        Route::post('terminal', 'CommandController@terminal')->name('terminal');
    });

    // BDD
    Route::group(['prefix' => 'bdd', 'as' => 'bdd.'], function() {
        Route::get('/', 'BddController@index')->name('index');
        Route::get('tables', 'BddController@tables')->name('tables');
        Route::get('suggestions', 'BddController@suggestions')->name('suggestions');
        Route::get('query-string', 'BddController@getQueryString')->name('query.string');
        Route::post('query', 'BddController@sendQuery')->name('query');

    });

    // Ping
    Route::get('csrf-token', function(Request $request) {
        $token = $request->session()->token();
        return response()->json(['token' => $token]);
    });
});
